std::experimental::basic_string_view::find_first_of(3)

NAME
std::experimental::basic_string_view::find_first_of - std::experimental::basic_string_view::find_first_of

Synopsis
   constexpr size_type find_first_of(basic_string_view v, (1) (library fundamentals
   size_type pos = 0) const noexcept; TS)
   constexpr size_type find_first_of(CharT c, size_type pos = (2) (library fundamentals
   0) const noexcept; TS)
   constexpr size_type find_first_of(const CharT* s, (3) (library fundamentals
   size_type pos, size_type count) const; TS)
   constexpr size_type find_first_of(const CharT* s, (4) (library fundamentals
   size_type pos = 0) const; TS)
   Finds the first character equal to any of the characters in the given character
   sequence.
   1) Finds the first occurence of any of the characters of v in this view, starting at
   position pos.
   2) Equivalent to find_first_of(basic_string_view(&c, 1), pos).
   3) Equivalent to find_first_of(basic_string_view(s, count), pos).
   4) Equivalent to find_first_of(basic_string_view(s), pos).

Parameters
   v - view to search for
   pos - position at which to start the search
   count - length of the string of characters to search for
   s - pointer to a string of characters to search for
   ch - character to search for

Return value
   Position of the first occurrence of any character of the substring, or npos if no
   such character is found.

Complexity
   O(size() * v.size()) at worst.

See also
   find find characters in the view
                     (public member function)
   rfind find the last occurrence of a substring
                     (public member function)
   find_last_of find last occurrence of characters
                     (public member function)
   find_first_not_of find first absence of characters
                     (public member function)
   find_last_not_of find last absence of characters
                     (public member function)